<template>
  <div>
    <div
      :class="[
        'mx-3',
        'px-3',
        'py-4',
        'flex',
        'items-center',
        'justify-between'
      ]"
    >
      <!-- Left align items -->
      <div class="flex gap-2 items-center">
        <AppLogo
          width="24px"
          height="24px"
        />
        <span>{{ GLOBALS.APP_NAME }}</span>
      </div>

      <!-- Right align items -->
      <div class="flex gap-2 items-center">
        <LangDropdown
          :variant="$app.ui.isTheme({
            'light': 'white-smoke',
            'dark': 'mirage'
          })"
        />
        <ThemeToggle
          :variant="$app.ui.isTheme({
            'light': 'white-smoke',
            'dark': 'mirage'
          })"
        />
      </div>
    </div>
    <div
      :class="[
        'mx-3',
        'mb-4',
        'h-0.5',
        'rounded-full',
        'bg-gradient-to-r',
        'from-@dark-primary',
        'via-@dark-mirage',
        'to-@dark-error'
      ]"
    />
  </div>
</template>

<script>
import { Core } from '@hperchec/scorpion-ui'

/**
 * LayoutHeader component
 */
export default {
  name: 'LayoutHeader',
  components: {
    LangDropdown: Core.context.vue.components.shared.LangDropdown,
    ThemeToggle: Core.context.vue.components.shared.ThemeToggle
  }
}
</script>
